psycopg2 and large queries

Paul Boddie paul at boddie.org.uk
Fri Dec 19 00:22:59 CET 2008


On 18 Des, 22:28, Laszlo Nagy <gand... at shopzeus.com> wrote:
>
> I'm just looking for something that can replace psycopg2, because of the
> bug mentioned in my original post. Here are my options:
>
> - psycopg1: development stalled
> - psycopg2: memory bug and/or not db api compilant (see my original post)

If you want, I can try and dig up those patches I made.

> - pyPgSQL: looks like that the last release was in mid 2006 (and it
> depends on mxDateTime -> licensing problems)

Well, Debian ships mxDateTime, so I suppose the licence is DFSG-
compliant, at least. Whether that's enough only you can say, but
porting the dependent parts to use the Python standard library
datetime implementation might be possible.

Paul



More information about the Python-list mailing list